Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.wizards
Class EditorCreationWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.ui.wizards.newresource.BasicNewResourceWizard
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.wizards.EditorCreationWizard

All Implemented Interfaces:
  INewWizard, IWizard, IWorkbenchWizard

public class EditorCreationWizard
extends BasicNewResourceWizard

Create Editor Diagram Wizard

Field Summary
`protected IFile` `diagramFile` the diagram file
`protected EditorWizardPage` `page` the wizard page

Fields inherited from class org.eclipse.ui.wizards.newresource.BasicNewResourceWizard
`selection`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EditorCreationWizard()`

Method Summary
`IFile` `getDiagramFile()` returns the diagram file
`boolean` `performFinish()`

Methods inherited from class org.eclipse.ui.wizards.newresource.BasicNewResourceWizard
`getSelection, getWorkbench, init, initializeDefaultPageImageDescriptor, selectAndReveal, selectAndReveal`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### page

    protected EditorWizardPage page

  the wizard page

### diagramFile

    protected IFile diagramFile

  the diagram file

Constructor Detail

### EditorCreationWizard

    public EditorCreationWizard()

Method Detail

### performFinish

    public boolean performFinish()

### getDiagramFile

    public final IFile getDiagramFile()

  returns the diagram file

  Returns:
    IFile the diagram file

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.